glibmm: Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference

glibmm 2.66.9

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference
Generic container converters » Helper classes

`#include <glibmm/arrayhandle.h>`

## Public Types
using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::random_access_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions
| ArrayHandleIterator (const CType * pos)
value_type | operator* () const
value_type | operator[] (difference_type offset) const
ArrayHandleIterator< Tr > & | operator++ ()
const ArrayHandleIterator< Tr > | operator++ (int)
ArrayHandleIterator< Tr > & | operator-- ()
const ArrayHandleIterator< Tr > | operator-- (int)
ArrayHandleIterator< Tr > & | operator+= (difference_type rhs)
ArrayHandleIterator< Tr > & | operator-= (difference_type rhs)
const ArrayHandleIterator< Tr > | operator+ (difference_type rhs) const
const ArrayHandleIterator< Tr > | operator- (difference_type rhs) const
difference_type | operator- (const ArrayHandleIterator< Tr > & rhs) const
bool | operator== (const ArrayHandleIterator< Tr > & rhs) const
bool | operator!= (const ArrayHandleIterator< Tr > & rhs) const
bool | operator< (const ArrayHandleIterator< Tr > & rhs) const
bool | operator> (const ArrayHandleIterator< Tr > & rhs) const
bool | operator<= (const ArrayHandleIterator< Tr > & rhs) const
bool | operator>= (const ArrayHandleIterator< Tr > & rhs) const

## Member Typedef Documentation

## ◆ CppType

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::CppType = typename Tr::CppType

## ◆ CType

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::CType = typename Tr::CType

## ◆ difference_type

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::difference_type = std::ptrdiff_t

## ◆ iterator_category

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::iterator_category = std::random_access_iterator_tag

## ◆ pointer

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::pointer = void

## ◆ reference

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::reference = value_type

## ◆ value_type

template <class Tr>

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

## ◆ ArrayHandleIterator()

template <class Tr>

Glib::Container_Helpers::ArrayHandleIterator< Tr >::ArrayHandleIterator | ( | const CType * | pos | ) |
| inlineexplicit

## Member Function Documentation

## ◆ operator!=()

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator!= | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator*()

template <class Tr>

value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator* | ( |  | ) | const
| inline

## ◆ operator+()

template <class Tr>

const ArrayHandleIterator< Tr > Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator+ | ( | difference_type | rhs | ) | const
| inline

## ◆ operator++() [1/2]

template <class Tr>

ArrayHandleIterator< Tr > & Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template <class Tr>

const ArrayHandleIterator< Tr > Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator++ | ( | int |  | ) |
| inline

## ◆ operator+=()

template <class Tr>

ArrayHandleIterator< Tr > & Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator+= | ( | difference_type | rhs | ) |
| inline

## ◆ operator-() [1/2]

template <class Tr>

difference_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator- | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator-() [2/2]

template <class Tr>

const ArrayHandleIterator< Tr > Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator- | ( | difference_type | rhs | ) | const
| inline

## ◆ operator--() [1/2]

template <class Tr>

ArrayHandleIterator< Tr > & Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

template <class Tr>

const ArrayHandleIterator< Tr > Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-- | ( | int |  | ) |
| inline

## ◆ operator-=()

template <class Tr>

ArrayHandleIterator< Tr > & Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-= | ( | difference_type | rhs | ) |
| inline

## ◆ operator<()

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator< | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator<=()

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator<= | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator==()

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator== | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator>()

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator> | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator>=()

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator>= | ( | const ArrayHandleIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator[]()

template <class Tr>

value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator[] | ( | difference_type | offset | ) | const
| inline